pidgin: pidgintooltip.h File Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Typedefs | Functions
pidgintooltip.h File Reference
Pidgin (GTK+ User Interface)

Pidgin Tooltip API. More...

`#include <gtk/gtk.h>`

Go to the source code of this file.

## Typedefs
typedef gboolean(* | PidginTooltipCreateForTree) (GtkWidget *tipwindow, GtkTreePath *path, gpointer userdata, int *w, int *h)
typedef gboolean(* | PidginTooltipCreate) (GtkWidget *tipwindow, gpointer userdata, int *w, int *h)
typedef gboolean(* | PidginTooltipPaint) (GtkWidget *tipwindow, gpointer userdata)

## Functions
gboolean | pidgin_tooltip_setup_for_treeview (GtkWidget *tree, gpointer userdata, PidginTooltipCreateForTree create_cb, PidginTooltipPaint paint_cb)
| Setup tooltip drawing functions for a treeview.
gboolean | pidgin_tooltip_setup_for_widget (GtkWidget *widget, gpointer userdata, PidginTooltipCreate create_cb, PidginTooltipPaint paint_cb)
| Setup tooltip drawing functions for any widget.
void | pidgin_tooltip_destroy (void)
| Destroy the tooltip.
void | pidgin_tooltip_show (GtkWidget *widget, gpointer userdata, PidginTooltipCreate create_cb, PidginTooltipPaint paint_cb)
| Create and show a tooltip.

## Detailed Description

Pidgin Tooltip API.

Definition in file pidgintooltip.h.

## Typedef Documentation

## ◆ PidginTooltipCreate

typedef gboolean(* PidginTooltipCreate) (GtkWidget *tipwindow, gpointer userdata, int *w, int *h)

Parameters

  tipwindow | The window for the tooltip.
  userdata | The userdata set during pidgin_tooltip_show.
  w | The value of this should be set to the desired width of the tooltip window.
  h | The value of this should be set to the desired height of the tooltip window.

Returns
  `TRUE` if the tooltip was created correctly, `FALSE` otherwise.

Since
  2.4.0

Definition at line 53 of file pidgintooltip.h.

## ◆ PidginTooltipCreateForTree

typedef gboolean(* PidginTooltipCreateForTree) (GtkWidget *tipwindow, GtkTreePath *path, gpointer userdata, int *w, int *h)

Parameters

  tipwindow | The window for the tooltip.
  path | The GtkTreePath representing the row under the cursor.
  userdata | The userdata set during pidgin_tooltip_setup_for_treeview.
  w | The value of this should be set to the desired width of the tooltip window.
  h | The value of this should be set to the desired height of the tooltip window.

Returns
  `TRUE` if the tooltip was created correctly, `FALSE` otherwise.

Since
  2.4.0

Definition at line 41 of file pidgintooltip.h.

## ◆ PidginTooltipPaint

typedef gboolean(* PidginTooltipPaint) (GtkWidget *tipwindow, gpointer userdata)

Parameters

  tipwindow | The window for the tooltip.
  userdata | The userdata set during pidgin_tooltip_setup_for_treeview or pidgin_tooltip_show.

Returns
  `TRUE` if the tooltip was painted correctly, `FALSE` otherwise.

Since
  2.4.0

Definition at line 63 of file pidgintooltip.h.

## Function Documentation

## ◆ pidgin_tooltip_destroy()

void pidgin_tooltip_destroy | ( | void |  | ) |

Destroy the tooltip.

Since
  2.4.0

## ◆ pidgin_tooltip_setup_for_treeview()

gboolean pidgin_tooltip_setup_for_treeview | ( | GtkWidget * | tree,
|  | gpointer | userdata,
|  | PidginTooltipCreateForTree | create_cb,
|  | PidginTooltipPaint | paint_cb
| ) |  |

Setup tooltip drawing functions for a treeview.

Parameters

  tree | The treeview
  userdata | The userdata to send to the callback functions
  create_cb | Callback function to create the tooltip for a GtkTreePath
  paint_cb | Callback function to paint the tooltip

Returns
  `TRUE` if the tooltip callbacks were setup correctly.

Since
  2.4.0

## ◆ pidgin_tooltip_setup_for_widget()

gboolean pidgin_tooltip_setup_for_widget | ( | GtkWidget * | widget,
|  | gpointer | userdata,
|  | PidginTooltipCreate | create_cb,
|  | PidginTooltipPaint | paint_cb
| ) |  |

Setup tooltip drawing functions for any widget.

Parameters

  widget | The widget
  userdata | The userdata to send to the callback functions
  create_cb | Callback function to create the tooltip for the widget
  paint_cb | Callback function to paint the tooltip

Returns
  `TRUE` if the tooltip callbacks were setup correctly.

Since
  2.4.0

## ◆ pidgin_tooltip_show()

void pidgin_tooltip_show | ( | GtkWidget * | widget,
|  | gpointer | userdata,
|  | PidginTooltipCreate | create_cb,
|  | PidginTooltipPaint | paint_cb
| ) |  |

Create and show a tooltip.

Parameters

  widget | The widget the tooltip is for
  userdata | The userdata to send to the callback functions
  create_cb | Callback function to create the tooltip from the GtkTreePath
  paint_cb | Callback function to paint the tooltip

Since
  2.4.0